# Passports

**documentType: `PASSPORT`**

The parameters listed below are applicable to passports from all countries. For individual countries, we offer supplementary parameters, which can be found on the corresponding subpages of this section.

| **Front**                 |                                                                                                                                                                                                                                                                                                                                                                                 |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| secondaryId               | Given names of the user as per MRZ                                                                                                                                                                                                                                                                                                                                              |
| primaryId                 | Surname of the user as per MRZ                                                                                                                                                                                                                                                                                                                                                  |
| dateOfBirth               | As per the MRZ (YYMMDD)                                                                                                                                                                                                                                                                                                                                                         |
| dateOfBirthFormatted      | ISO-8601 format yyyy-MM-dd                                                                                                                                                                                                                                                                                                                                                      |
| dateOfBirthFull           | Date of birth as per the visual zone                                                                                                                                                                                                                                                                                                                                            |
| dateOfBirthFullFormatted  | ISO-8601 format yyyy-MM-dd                                                                                                                                                                                                                                                                                                                                                      |
| dateOfExpiry              | As per the MRZ (YYMMDD)                                                                                                                                                                                                                                                                                                                                                         |
| dateOfExpiryFormatted     | ISO-8601 format yyyy-MM-dd                                                                                                                                                                                                                                                                                                                                                      |
| dateOfExpiryFull          | Date of expiry as per the visual zone                                                                                                                                                                                                                                                                                                                                           |
| dateOfExpiryFullFormatted | ISO-8601 format yyyy-MM-dd                                                                                                                                                                                                                                                                                                                                                      |
| issueDate                 | Issue date as per the visual zone                                                                                                                                                                                                                                                                                                                                               |
| issueDateFormatted        | ISO-8601 format yyyy-MM-dd                                                                                                                                                                                                                                                                                                                                                      |
| documentNumber            | As per the MRZ                                                                                                                                                                                                                                                                                                                                                                  |
| nationality               | <p>As per the MRZ (ISO 3166-1 alpha-3 code)<br><strong>Note</strong>: The german passport uses the single letter D. Additional exceptions can be found here <a href="https://en.wikipedia.org/wiki/Machine-readable_passport#Nationality_/_Citizenship_codes"><https://en.wikipedia.org/wiki/Machine-readable_passport#Nationality_/_Citizenship_codes></a></p>                 |
| issuer                    | <p>Document issuer as per the MRZ (ISO 3166-1 alpha-3 code)<br><strong>Note</strong>: The german passport uses the single letter D. Additional exceptions can be found here <a href="https://en.wikipedia.org/wiki/Machine-readable_passport#Nationality_/_Citizenship_codes"><https://en.wikipedia.org/wiki/Machine-readable_passport#Nationality_/_Citizenship_codes></a></p> |
| sex                       | As per the MRZ                                                                                                                                                                                                                                                                                                                                                                  |
| documentCode              | As per the MRZ                                                                                                                                                                                                                                                                                                                                                                  |
| mrzText                   | Full MRZ text divided by new line character “\n”                                                                                                                                                                                                                                                                                                                                |
| mrzVerified               | MRZ checksum verification (true or false)                                                                                                                                                                                                                                                                                                                                       |
| opt1                      | Optional field 1 as per MRZ (see <https://en.wikipedia.org/wiki/Machine-readable_passport#Passport_booklets>)                                                                                                                                                                                                                                                                   |
| faceImage                 | Base64 encoded face image of the user. The format is the same as per the image uploaded, e.g. png or jpg                                                                                                                                                                                                                                                                        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uqudo.com/docs/kyc/uqudo-api/scan/passports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
